import * as React from 'react';
import { CommonProps } from './controls/common-prop-types';
declare type CommonPropsCleaned = Omit<CommonProps, 'id' | 'name'>;
interface Option {
    disabled?: boolean;
    value: string;
    label: string;
}
declare type CheckboxLayout = 'inline' | 'stacked';
declare const defaultProps: {
    options: Option[];
    value: string[];
    type: CheckboxLayout;
    required: boolean;
    changeCallback: (name: string, value: string | string[]) => void;
    elementWrapperClassName: import("classnames/types").ClassValue;
    errorMessages: React.ReactNode[];
    help: string;
    id: string;
    isPristine: boolean;
    label: React.ReactNode;
    labelClassName: import("classnames/types").ClassValue;
    layout: import("../types").LayoutType;
    onSetValue: (value: string | string[]) => void;
    rowClassName: import("classnames/types").ClassValue;
    showErrors: boolean;
};
declare type CheckboxGroupProps = typeof defaultProps & CommonPropsCleaned & {
    name: string;
};
declare class CheckboxGroup extends React.Component<CheckboxGroupProps, {}> {
    static defaultProps: {
        options: Option[];
        value: string[];
        type: CheckboxLayout;
        required: boolean;
        changeCallback: (name: string, value: string | string[]) => void;
        elementWrapperClassName: import("classnames/types").ClassValue;
        errorMessages: React.ReactNode[];
        help: string;
        id: string;
        isPristine: boolean;
        label: React.ReactNode;
        labelClassName: import("classnames/types").ClassValue;
        layout: import("../types").LayoutType;
        onSetValue: (value: string | string[]) => void;
        rowClassName: import("classnames/types").ClassValue;
        showErrors: boolean;
    };
    elements: {};
    constructor(props: any);
    private handleChange;
    private renderElement;
    render(): JSX.Element;
}
export default CheckboxGroup;
