import * as React from 'react';
import { CommonProps as CommonControlProps } from './controls/common-prop-types';
declare type CommonControlPropsCleaned = Omit<CommonControlProps, 'id' | 'name'>;
declare const defaultProps: {
    value: boolean;
    valueLabel: string;
    elementRef: React.RefObject<HTMLInputElement>;
    changeCallback: (name: string, value: string | string[]) => void;
    elementWrapperClassName: import("classnames/types").ClassValue;
    errorMessages: React.ReactNode[];
    help: string;
    id: string;
    isPristine: boolean;
    label: React.ReactNode;
    labelClassName: import("classnames/types").ClassValue;
    layout: import("../types").LayoutType;
    onSetValue: (value: string | string[]) => void;
    rowClassName: import("classnames/types").ClassValue;
    showErrors: boolean;
};
declare type Props = CommonControlPropsCleaned & typeof defaultProps & {
    name: string;
};
declare class Checkbox extends React.Component<Props, {}> {
    static defaultProps: {
        value: boolean;
        valueLabel: string;
        elementRef: React.RefObject<HTMLInputElement>;
        changeCallback: (name: string, value: string | string[]) => void;
        elementWrapperClassName: import("classnames/types").ClassValue;
        errorMessages: React.ReactNode[];
        help: string;
        id: string;
        isPristine: boolean;
        label: React.ReactNode;
        labelClassName: import("classnames/types").ClassValue;
        layout: import("../types").LayoutType;
        onSetValue: (value: string | string[]) => void;
        rowClassName: import("classnames/types").ClassValue;
        showErrors: boolean;
    };
    constructor(props: any);
    private handleChange;
    private renderElement;
    render(): JSX.Element;
}
export { Props };
export default Checkbox;
