import * as React from 'react';
import { CommonProps } from './common-prop-types';
declare type ControlProps = React.SelectHTMLAttributes<HTMLSelectElement>;
declare type ControlPropsCleaned = Omit<ControlProps, 'id' | 'name'>;
interface SelectOption {
    value: string;
    label: string;
    group?: string;
}
interface Props extends CommonProps, ControlPropsCleaned {
    options: SelectOption[];
    multiple: boolean;
    elementRef: React.RefObject<HTMLSelectElement>;
}
declare class SelectControl extends React.Component<Props, {}> {
    static defaultProps: {
        multiple: boolean;
        elementRef: React.RefObject<HTMLSelectElement>;
    };
    constructor(props: any);
    private renderOption;
    render(): JSX.Element;
}
export { Props };
export default SelectControl;
