var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import ErrorMessages from './error-messages';
import Help from './help';
import Row from './row';
import { componentDefaultProps } from './component-common';
var FormCheckGroup = function (props) {
    var layout = props.layout, help = props.help, showErrors = props.showErrors, errorMessages = props.errorMessages, labelClassName = props.labelClassName, children = props.children;
    if (layout === 'elementOnly') {
        return children;
    }
    var passProps = __rest(props, []);
    delete passProps.children;
    return (React.createElement(Row, __assign({}, passProps, { labelClassName: ['pt-0', labelClassName], fakeLabel: true }),
        children,
        help ? React.createElement(Help, { help: help }) : null,
        showErrors ? React.createElement(ErrorMessages, { messages: errorMessages }) : null));
};
FormCheckGroup.defaultProps = componentDefaultProps;
export default FormCheckGroup;
//# sourceMappingURL=form-check-group.js.map