var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import { componentDefaultProps } from './component-common';
import ErrorMessages from './error-messages';
import Help from './help';
import Row from './row';
import FileControl from './controls/input-file';
var defaultProps = __assign(__assign({}, componentDefaultProps), { elementRef: React.createRef() });
var File = /** @class */ (function (_super) {
    __extends(File, _super);
    // Need to supply a constructor to be recognised as ComponentClass?
    function File(props) {
        var _this = _super.call(this, props) || this;
        _this.handleChange = function (event) {
            var target = event.currentTarget;
            var _a = _this.props, onSetValue = _a.onSetValue, changeCallback = _a.changeCallback, name = _a.name;
            onSetValue(target.files);
            // Note: we sure the result of `target.files` instead of `target.value`.
            // `target.value` is actually pretty useless. A web search for "C:\fakepath\"
            // gives more details.
            changeCallback(name, target.files);
        };
        return _this;
    }
    File.prototype.render = function () {
        var _a = this.props, errorMessages = _a.errorMessages, help = _a.help, id = _a.id, layout = _a.layout, showErrors = _a.showErrors, inputProps = __rest(_a, ["errorMessages", "help", "id", "layout", "showErrors"]);
        Object.keys(componentDefaultProps).forEach(function (key) {
            delete inputProps[key];
        });
        var control = (React.createElement(FileControl, __assign({}, inputProps, { className: "form-control-file", id: id, onChange: this.handleChange })));
        if (layout === 'elementOnly') {
            return control;
        }
        return (React.createElement(Row, __assign({}, this.props, { htmlFor: id }),
            React.createElement(React.Fragment, null,
                control,
                help ? React.createElement(Help, { help: help }) : null,
                showErrors ? React.createElement(ErrorMessages, { messages: errorMessages }) : null)));
    };
    File.defaultProps = defaultProps;
    return File;
}(React.Component));
export default File;
//# sourceMappingURL=input-file.js.map