import * as React from 'react';
import Formsy, { FormsyProps } from 'formsy-react';
import { LayoutType } from './types';
declare type FormPropsCleaned = Omit<React.FormHTMLAttributes<HTMLFormElement>, 'className' | 'onChange' | 'onInvalid' | 'onSubmit' | 'onError' | 'onReset'>;
declare type FormsyPropsCleaned = Omit<FormsyProps, 'className'>;
declare const formDefaultProps: {
    layout: LayoutType;
    className: import("classnames/types").ClassValue;
    elementWrapperClassName: import("classnames/types").ClassValue;
    labelClassName: import("classnames/types").ClassValue;
    rowClassName: import("classnames/types").ClassValue;
    validateBeforeSubmit: boolean;
    validatePristine: boolean;
    disabled: boolean;
};
declare type DefaultProps = typeof formDefaultProps;
declare type FormProps = FormPropsCleaned & Partial<FormsyPropsCleaned> & DefaultProps;
declare class Form extends React.Component<FormProps, {}> {
    static defaultProps: {
        layout: LayoutType;
        className: import("classnames/types").ClassValue;
        elementWrapperClassName: import("classnames/types").ClassValue;
        labelClassName: import("classnames/types").ClassValue;
        rowClassName: import("classnames/types").ClassValue;
        validateBeforeSubmit: boolean;
        validatePristine: boolean;
        disabled: boolean;
    };
    formsyForm: React.RefObject<Formsy>;
    constructor(props: any);
    render(): JSX.Element;
}
export default Form;
