/* globals describe, expect, it */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import React from 'react';
import Formsy, { withFormsy } from 'formsy-react';
import { mount } from 'enzyme';
import withFRC from '../component';
describe('The component HOC', function () {
    describe('css classes', function () {
        // elementWrapperClassName
        // labelClassName
        // rowClassNam
    });
    describe('props passed to the HOC', function () {
        var TestComponent = /** @class */ (function (_super) {
            __extends(TestComponent, _super);
            function TestComponent(props) {
                return _super.call(this, props) || this;
            }
            TestComponent.prototype.render = function () {
                var InnerComponent = function () { return React.createElement("div", null); };
                return React.createElement(InnerComponent, null);
            };
            return TestComponent;
        }(React.Component));
        var FRC = withFormsy(withFRC(TestComponent));
        var wrapper = mount(React.createElement(Formsy, null,
            React.createElement(FRC, { name: "testComponent" })));
        var componentProps = wrapper.find(TestComponent).props();
        describe('`name`', function () {
            it('is required', function () { });
            it('should be a string', function () { });
            it('is passed through to the composed component', function () { });
        });
        describe('`disabled`', function () {
            var disabledProp = componentProps.disabled;
            it('is passed through to the composed component', function () {
                expect(typeof disabledProp).not.toBe(undefined);
            });
            it('is a boolean', function () {
                expect(typeof disabledProp).toBe('boolean');
            });
        });
        describe('`help`', function () {
            it('should be a string', function () { });
            it('is passed through to the composed component', function () { });
        });
        describe('`label`', function () {
            it('should be a string', function () { });
            it('is passed through to the composed component', function () { });
        });
        describe('`id`', function () {
            it('should be a string', function () { });
            it('is generated for the composed component when not supplied', function () {
                //expect(typeof componentProps.id).toBe('string');
                //expect(componentProps.id.startsWith('frc-')).toBe(true);
            });
            it('is passed through to the composed component', function () { });
        });
        describe('`layout`', function () {
            it('defaults to `horizontal` if not supplied', function () { });
            it('is merged with a master value set in a parent context', function () { });
            it('is passed through to the composed component', function () { });
        });
        describe('`validatePristine`', function () {
            it('determines whether to show errors on pristine (untouched) values', function () { });
            it('is merged with a master value set in a parent context', function () { });
            it('is not passed through to the composed component', function () { });
        });
        describe('`validateBeforeSubmit`', function () {
            it('determines whether to hide errors until an attempt to submit the form is made', function () { });
            it('is merged with a master value set in a parent context', function () { });
            it('is not passed through to the composed component', function () { });
        });
        describe('other props', function () {
            it('are passed through to the composed component', function () { });
        });
    });
    describe('props set on the composed component', function () {
        // "Describle (v): To create a meaningless description."
        describe('`errorMessages`', function () {
            it('is an array', function () { });
            it('is the result of formsy `getErrorMessages`', function () { });
            // errorMessages: this.props.getErrorMessages(),
        });
        describe('`id`', function () {
            it('is a string', function () { });
            // id: this.getId(),
        });
        describe('`layout`', function () {
            it('is a string', function () { });
        });
        describe('`required`', function () {
            it('is a boolean', function () { });
            it('is the result of formsy `isRequired`', function () { });
            // required: this.props.isRequired(),
        });
        describe('`showErrors`', function () {
            it('is a boolean', function () { });
            // showErrors: this.shouldShowErrors(),
        });
        describe('css class name properties', function () {
            // elementWrapperClassName
            // labelClassName
            // rowClassName
        });
        describe('`value`', function () {
            it('`value` is the result of formsy getValue()', function () { });
        });
        describe('`disabled`', function () {
            it('is a boolean', function () { });
            // this.props.isFormDisabled() || this.props.disabled,
            it('is overridden by formsy `isFormDisabled` (if true)', function () { });
        });
        describe('`onSetValue`', function () {
            it('is a function', function () { });
            it('is just formsy setValue, with name changed to fit with project naming convention', function () { });
        });
    });
});
//# sourceMappingURL=component-test.js.map